% 1-D biorthogonal 9x7 DWT
clear
dwtmode('symw') % whole-point symmetry
x=[1 -2 3 4 2 -3 1 1 3 -2 2 4 4 2 -1 1] % input 
[c,l] = wavedec(x,1,'bior4.4');c % output 1 stage
xr = waverec(c,l,'bior4.4') % reconstructed data
[l_d,h_d,l_r,h_r]=wfilters('bior4.4') % filter coefficients
